### Hierarchy

- Radio

## Index

### Inputs

- ariaLabel
- checked
- disabled
- id
- labelPlacement
- name
- required
- skeleton
- value
- ariaLabelledby

### Outputs

- change

### Properties

- _labelledby
- ariaLabel
- change
- checked
- disabled
- disabledFromGroup
- hostClass
- id
- labelPlacement
- name
- required
- skeleton
- value
- radioCount

### Accessors

- ariaLabelledby
- labelLeft

### Methods

- onChange
- onClick
- radioChangeHandler
- registerRadioChangeHandler
- setDisabledFromGroup

## Properties

### Protected _labelledby

_labelledby: string = ""

- Defined in src/radio/radio.component.ts:123

### ariaLabel

@Input()
ariaLabel: string = ""

- Defined in src/radio/radio.component.ts:89

### change

@Output()
change: EventEmitter<RadioChange> = new EventEmitter<RadioChange>()

- Defined in src/radio/radio.component.ts:110

### checked

@Input()
checked: boolean = false

- Defined in src/radio/radio.component.ts:67

### disabled

@Input()
disabled: boolean = false

- Defined in src/radio/radio.component.ts:71

### disabledFromGroup

disabledFromGroup: boolean = false

- Defined in src/radio/radio.component.ts:121

### hostClass

@HostBinding({"hostPropertyName":"class.bx--radio-button-wrapper"})
hostClass: boolean = true

- Defined in src/radio/radio.component.ts:112

### id

@Input()
id: string = `radio-${Radio.radioCount++}`

- Defined in src/radio/radio.component.ts:106

### labelPlacement

@Input()
labelPlacement: "right" | "left" = "right"

- Defined in src/radio/radio.component.ts:73

### name

@Input()
name: string = ""

- Defined in src/radio/radio.component.ts:69

### required

@Input()
required: boolean = false

- Defined in src/radio/radio.component.ts:94

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/radio/radio.component.ts:102

### value

@Input()
value: string = ""

- Defined in src/radio/radio.component.ts:98

### Static radioCount

radioCount: number = 0

- Defined in src/radio/radio.component.ts:65

## Accessors

### ariaLabelledby

@Input()
ariaLabelledby:

- Defined in src/radio/radio.component.ts:75
- Defined in src/radio/radio.component.ts:79

### labelLeft

@HostBinding({"hostPropertyName":"class.bx--radio-button-wrapper--label-left"})
labelLeft:

- Defined in src/radio/radio.component.ts:114

## Methods

### onChange

- onChange(event: Event): void

- - Defined in src/radio/radio.component.ts:134

  #### Parameters

  - ##### event: Event

  #### Returns void

### onClick

- onClick(event: Event): void

- - Defined in src/radio/radio.component.ts:138

  #### Parameters

  - ##### event: Event

  #### Returns void

### radioChangeHandler

- radioChangeHandler(event: RadioChange): void

- - Defined in src/radio/radio.component.ts:128

  #### Parameters

  - ##### event: RadioChange

  #### Returns void

### registerRadioChangeHandler

- registerRadioChangeHandler(fn: function): void

- - Defined in src/radio/radio.component.ts:149

  #### Parameters

  - ##### fn: function

    - - (event: RadioChange): void

      - #### Parameters

        - ##### event: RadioChange

        #### Returns void

### setDisabledFromGroup

- setDisabledFromGroup(disabled: boolean): void

- - Defined in src/radio/radio.component.ts:153

  #### Parameters

  - ##### disabled: boolean

  #### Returns void

Generated using TypeDoc